def lower(text):
  bfs10110 = ''.join(map(chr, range(ord('A'), (ord('Z') + 1))))
  return ('translate(%s, %r, %r)' % (text, bfs10110, bfs10110.lower()))

def bfs10111(text, by=' '):
  return (u"translate(%s, '\xa0', %r)" % (text, by))

def predicate(bfs10112):
  return (('[%s]' % bfs10112) if bfs10112 else '')


def bfs10115(*bfs10113):
  return predicate(' or '.join([c for c in bfs10113 if c ]))

